no you won't. Just install the new 2.1 on your device. Its all over the forum